using System;
using FastbootGUI;
using System.Threading;

namespace FastbootGUI
{
	public partial class PasswordDialog : Gtk.Window
	{
		MainWindow Win;

		public PasswordDialog (MainWindow win) : 
				base(Gtk.WindowType.Toplevel)
		{
			this.Build ();
			this.entry1.Visibility = false;
			Win = win;
		}

		protected void OnButton1Clicked (object sender, System.EventArgs e)
		{
			this.Hide ();
			
			MainWindow.pass = " " + entry1.Text;
			entry1.Text = "";
			Win.StartProcessEx ();
		}

		protected void OnShown (object sender, System.EventArgs e)
		{
			this.OnSetFocus (entry1);
			Win.Sensitive = false;
		}

		protected void OnButton24Clicked (object sender, System.EventArgs e)
		{
			this.Hide ();
		}

		protected void OnHidden (object sender, System.EventArgs e)
		{
			Win.Sensitive = true;
		}

		protected void OnEntry1KeyPressEvent (object o, Gtk.KeyPressEventArgs args)
		{ // doesn't work
			if (((Gtk.KeyPressEventArgs)args).Event.Key == Gdk.Key.KP_Enter) {
				OnButton1Clicked (o, null);
			}
		}
	}
}

