using System;

namespace FastbootGUI
{
	public partial class ErrorDialog : Gtk.Window
	{
		MainWindow Win;
		
		public ErrorDialog (MainWindow win) : 
				base(Gtk.WindowType.Toplevel)
		{
			this.Build ();
			Win = win;
		}
		
		public void SetErrorText (string err)
		{
			label2.Text = err;
		}
		
		public void SetButtonEvent (EventHandler e)
		{
			button2.Clicked += e;
		}

		protected void OnButton2Clicked (object sender, System.EventArgs e)
		{
			this.Hide ();
		}

		protected void OnHidden (object sender, System.EventArgs e)
		{
			Win.Sensitive = true;
		}

		protected void OnShown (object sender, System.EventArgs e)
		{
			Win.Sensitive = false;
		}
	}
}

